image: docker:latest

services:
  - docker:dind

stages:
  - build

build:
  stage: build
  before_script:
    - echo -n $CI_JOB_TOKEN | docker login -u gitlab-ci-token --password-stdin $CI_REGISTRY
  script:
    - docker build -t $CI_PROJECT_NAME -f .docker/Dockerfile --build-arg DEFAULT_VERSION=versions/`ls versions/ | sort -d | tail -1` .
    - docker tag $CI_PROJECT_NAME $CI_REGISTRY_IMAGE
    - docker push $CI_REGISTRY_IMAGE

